Keil Logo

ARMCC: Flex license support for Arm compilers over IPv6


Information in this knowledgebase article applies to:

  • Arm Compiler v5.04u3 and later verisons
  • FlexNet publisher utility v11.12.0.0 and later verisons

QUESTION

I am using Arm compiler v5.xx with the flex floating license. Does the arm compiler v5.xx supports the IPv6 only network connectivity using the FlexNet Publisher binaries from Flexera ?

ANSWER

Starting from ARMCCv5.04 update 3, the IPv6 only network connectivity support has been added to check out the license using FlexNet binaries. The FlexNet binaries version should be v11.12.0.0 or later. The earlier version of arm compilers and FlexNet publisher utilities are not IPv6 only compatible and are by default supported by IPv4.

SEE ALSO

Last Reviewed: Thursday, June 14, 2018


Did this article provide the answer you needed?
 
Yes
No
Not Sure
 
  Arm logo
Important information

This site uses cookies to store information on your computer. By continuing to use our site, you consent to our cookies.

Change Settings

Privacy Policy Update

Arm’s Privacy Policy has been updated. By continuing to use our site, you consent to Arm’s Privacy Policy. Please review our Privacy Policy to learn more about our collection, use and transfers
of your data.